Category: Database Estimated time: 0.50 hour
Target version:

Resolution: Wont fix Affected version: 1.1.2
Description

Hello,

| tried to install the Redmine on MSSQL 2000 and | had to change a migration file, because some kind of error occured on MSSQL
side. (cannot change a column because it is in use by other object)

091_change_changesets_revision_to_string.rb

line 3 change_column :changesets, :revision, :string, :null => false

patched:

remove_index :changesets, :name => :changesets_repos_rev

change_column :changesets, :revision, :string, :null => false

add_index :changesets, [:repository_id, :revision], :unique => true, :name => :changesets_repos_rev

Regards
Petr

History

#1 - 2011-04-03 18:13 - Jean-Philippe Lang

MSSQL is not officially supported (and totally untested) but I'm curious about how Redmine behaves with it.
Did all other migrations run fine?

#2 - 2011-04-09 23:12 - Petr Pospisil

yep, only this one.

But | don't know if all pages are working as expected, | tested only migration.

#3 - 2017-09-24 04:04 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Wont fix

Since SQL Server 2000 is too old, | am closing this issue.
